For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelayAPI ReferenceChangelog
OverviewInquiriesTransactionsRelayAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
      • GETList all Inquiry Templates
      • GETRetrieve an Inquiry Template
      • GETRetrieve Inquiry Template Translations
      • POSTImport Inquiry Template Translations
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceInquiry Templates

Import Inquiry Template Translations

POST
https://api.withpersona.com/api/v1/inquiry-templates/:inquiry-template-id/translations
POST
/api/v1/inquiry-templates/:inquiry-template-id/translations
$curl -X POST https://api.withpersona.com/api/v1/inquiry-templates/inquiry-template-id/translations \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "attributes": {
> "translations": [
> {
> "step": "start",
> "component": "title",
> "attribute-name": "text",
> "locale-values": [
> {
> "locale": "en-US",
> "value": "Getting started"
> },
> {
> "locale": "fr",
> "value": "Commencer"
> },
> {
> "locale": "es-MX",
> "value": "Empezar"
> }
> ],
> "step-display-name": "Start"
> }
> ]
> }
> }
>}'
1{
2 "data": {
3 "id": "itmplv_HAVumeSgCxWxhVb8tTRjaiUB",
4 "attributes": {
5 "name-display": "Collect Government ID",
6 "status": "draft",
7 "enabled-locales": [
8 "en-US"
9 ],
10 "created-at": "2023-01-05T00:00:00.000Z",
11 "updated-at": "2023-01-05T00:00:00.000Z",
12 "theme": {}
13 },
14 "relationships": {
15 "inquiry-template": {
16 "data": {
17 "type": "inquiry-template",
18 "id": "itmpl_srQQ2Ui2gvNY353u65vD61gr"
19 }
20 }
21 },
22 "type": "inquiry-template-version"
23 }
24}
Imports translations for an Inquiry Template. Supports partial updates — translation rows not included in the request body are left unchanged. If a draft version already exists, translations are applied to it. If no draft exists, a new draft is created from the latest published version before importing. The draft is never automatically published — publishing is always a manual step in the dashboard. Note: You must use a production API key to access this endpoint. For security reasons, we do not expose organization-level resources like Inquiry Templates in Sandbox via API.
Was this page helpful?
Previous

List Items

Next
Built with

Imports translations for an Inquiry Template. Supports partial updates — translation rows not included in the request body are left unchanged.

If a draft version already exists, translations are applied to it. If no draft exists, a new draft is created from the latest published version before importing. The draft is never automatically published — publishing is always a manual step in the dashboard.

Note: You must use a production API key to access this endpoint. For security reasons, we do not expose organization-level resources like Inquiry Templates in Sandbox via API.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inquiry-template-idstringRequired
Inquiry Template ID

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Request

This endpoint expects an object.
dataobjectRequired

Response

This endpoint returns the updated Inquiry Template Version object.
dataobject
An Inquiry Template Version object

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.